Arch Diviser un maillage

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch SplitMesh and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Arch CloneComponent.svg Clone
Page suivante : Maillage vers une forme Arch MeshToShape.svg Arrow-right.svg

Arch SplitMesh.svg Arch Diviser un maillage

Emplacement du menu
Arch → Utilitaires → Diviser un maillage
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Sélection de maillages non-manifold, Arch Maillage vers un objet shape

Description

Cet outil sépare les composants d'un objet Mesh sélectionné.

Utilisation

  1. Sélectionnez un objet mesh.
  2. Cliquez sur le bouton Arch SplitMesh.svg Diviser un maillage dans Arch → Utilitaires → Diviser un maillage.

Script

Voir aussi: Arch API et Débuter avec les scripts FreeCAD.

L'outil Séparer un objet Mesh est utilisable dans une macro et dans la console Python en utilisant la fonction suivante :

new_list = splitMesh(obj, mark=True)
  • Divise l'objet maillé donné (obj) en composants séparés.
  • Si mark est mis à True, les composants Variété non-manifold seront peints en rouge.
  • new_list est une liste de tous les composants individuels qui composent le maillage.

Exemple:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)


Arrow-left.svg Page précédente : Arch CloneComponent.svg Clone
Page suivante : Maillage vers une forme Arch MeshToShape.svg Arrow-right.svg